<?php
/*
 * $Id: daily_tripwirebook.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// date
$reg_date_t = $_SESSION[SERVER_MANAGER_SES_NAME]["reg_date_t"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
        <script language="JavaScript">
          <![CDATA[
          <!--
          function mail_open(intCD) {
            var strUrl = "";
            var strWindowPrm = "";
            var strPath = "";
            strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,scrollbars=yes,menubar=no,top=100,left=100,width=700,height=750";
            strPath = "./libs/mailview.php";
            strUrl = strPath + "?sirial=" + intCD + "&mode=T";
            m_objWindow = window.open(strUrl, 'mail', strWindowPrm);
            m_objWindow.focus();
          } 
          function memo_open(intCD) {
            var strUrl = "";
            var strWindowPrm = "";
            var strPath = "";
            strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,scrollbars=no,menubar=no,top=100,left=100,width=700,height=750";
            strPath = "./libs/memoview.php";
            strUrl = strPath + "?sirial=" + intCD + "&mode=T&regdate=<?php echo $reg_date_t; ?>";
            m_objWindow = window.open(strUrl, 'mail', strWindowPrm);
            m_objWindow.focus();
          }
          function m_reload() {
            var objElement = document.getElementsByTagName("FORM")[0];
            objElement.action = "index.php";
            objElement.method = "post";
            objElement.submit();
          }
          function return_setDate() {
            var objElement = document.getElementsByTagName("FORM")[0];
            objElement.action = "index.php";
            objElement.method = "post";
            objElement.status.value = "set_date";
            objElement.submit();
          }
          //-->
          ]]>
        </script>
      </head>
      <body class="fontS">
      <form>
        <table border="1" class="list">
          <tr>
            <th colspan="13" class="midasi">Server Entries for Daily TripWire Logs
              [reg_date:<?php echo $_SESSION[SERVER_MANAGER_SES_NAME]["reg_date_t"]; ?>]
              <input type="hidden" name="status">
                <xsl:attribute name="value">
                  <xsl:value-of select="//Header/status"/>
                </xsl:attribute>
              </input>
              <input type="hidden" name="reg_date_t" value="<?php echo $reg_date_t; ?>" />
              <input type="button" value="return to set date" onclick="return_setDate()" />
            </th>
          </tr>
          <tr class="midasi">
            <td>srv_cd</td>
            <td>ServerName</td>
            <td>Date</td>
            <td>IP Address</td>
            <td>No.</td>
            <td>Total</td>
            <td>S.Level</td>
            <td>Add<br />Obj.</td>
            <td>Dell<br />Obj.</td>
            <td>Mod<br />Obj.</td>
            <td>File<br />Err.</td>
          </tr>

          <xsl:choose>
            <xsl:when test="count(//@sirial) != 0">
              <xsl:apply-templates select="//Records" />
            </xsl:when>
            <xsl:otherwise>
              <td colspan="13">No record</td>
            </xsl:otherwise>
          </xsl:choose>

          </table>
        </form>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="//Records">
    <xsl:variable name="serial" select="@sirial" />
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="rcv_date = '' and memo_cd = ''">
        <xsl:attribute name="class">rec_s1</xsl:attribute>
      </xsl:when>
      <xsl:when test="rcv_date = '' and memo_cd != ''">
        <xsl:attribute name="class">rec_s2</xsl:attribute>
      </xsl:when>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>

      <td align="right">
        <xsl:if test="memo_cd != ''">
          <xsl:attribute name="style">font-weight:bold;</xsl:attribute>
        </xsl:if>
        <span onclick="memo_open({$serial});" style="text-decoration:underline;color:blue;cursor:hand;">
          <xsl:value-of select="srv_cd" />
        </span>
      </td>
      <td align="left">&nbsp;<xsl:value-of select="srv_name" /></td>
      <td align="left">&nbsp;<xsl:value-of select="rcv_date" /></td>
      <td align="left">&nbsp;<xsl:value-of select="eth0_ipaddr" /></td>
      <td>&nbsp;
        <xsl:choose>
          <xsl:when test="@sirial != '' and rcv_date != ''">
            <span onclick="mail_open({$serial});" style="text-decoration:underline;color:blue;cursor:hand;">
              <xsl:value-of select="@sirial" />
            </span>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="@sirial" />
          </xsl:otherwise>
        </xsl:choose>
      </td>
      <td>
        <xsl:choose>
          <xsl:when test="V != 0 and V != '-' and memo_cd = ''">
            <xsl:attribute name="bgcolor">#FFFC0</xsl:attribute>
          </xsl:when>
          <xsl:when test="V != 0 and V != '-'">
            <xsl:attribute name="bgcolor">#8FBC8F</xsl:attribute>
          </xsl:when>
        </xsl:choose>
        &nbsp;<xsl:value-of select="V" />
      </td>
      <td>
        <xsl:choose>
          <xsl:when test="S != 0 and S != '-' and memo_cd = ''">
            <xsl:attribute name="bgcolor">#FFFC0</xsl:attribute>
          </xsl:when>
          <xsl:when test="S != 0 and S != '-'">
            <xsl:attribute name="bgcolor">#8FBC8F</xsl:attribute>
          </xsl:when>
        </xsl:choose>
        &nbsp;<xsl:value-of select="S" />
      </td>
      <td>
        <xsl:choose>
          <xsl:when test="A != 0 and A != '-' and memo_cd = ''">
            <xsl:attribute name="bgcolor">#FFFC0</xsl:attribute>
          </xsl:when>
          <xsl:when test="A != 0 and A != '-'">
            <xsl:attribute name="bgcolor">#8FBC8F</xsl:attribute>
          </xsl:when>
        </xsl:choose>
        &nbsp;<xsl:value-of select="A" />
      </td>
      <td>
        <xsl:choose>
          <xsl:when test="R != 0 and R != '-' and memo_cd = ''">
            <xsl:attribute name="bgcolor">#FFFC0</xsl:attribute>
          </xsl:when>
          <xsl:when test="R != 0 and R != '-'">
            <xsl:attribute name="bgcolor">#8FBC8F</xsl:attribute>
          </xsl:when>
        </xsl:choose>
        &nbsp;<xsl:value-of select="R" />
      </td>
      <td>
        <xsl:choose>
          <xsl:when test="C != 0 and C != '-' and memo_cd = ''">
            <xsl:attribute name="bgcolor">#FFFC0</xsl:attribute>
          </xsl:when>
          <xsl:when test="C != 0 and C != '-'">
            <xsl:attribute name="bgcolor">#8FBC8F</xsl:attribute>
          </xsl:when>
        </xsl:choose>
        &nbsp;<xsl:value-of select="C" />
      </td>
      <td>&nbsp;<xsl:value-of select="F" /></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
