<?php
/*
 * $Id: edit_account.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];
// error messages
$error      = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">
      <?php if($user_class > 8){ ?>
        <form action="index.php" method="post">
          <table border="1">
          <?php if($error != ""){ ?>
            <tr>
              <td bgcolor="yellow" colspan="2">
              <?php if($error == "password"){ ?>
                You must supply a more than 8 character password.
              <?php }elseif($error == "username"){ ?>
                You must supply a username.
              <?php }elseif($error == "usr_name"){ ?>
                You must supply a usr_name.
              <?php }elseif($error == "mail_addr"){ ?>
                You must supply a mail_addr.
              <?php }elseif($error == "doubled_username"){ ?>
                You must supply other username.
              <?php }elseif($error == "doubled_mail_addr"){ ?>
                You must supply other mail_addr.
              <?php } ?>
              </td>
            </tr>
          <?php } ?>
            <tr>
              <td>usr_cd:</td>
              <td><xsl:value-of select="//Records/@usr_cd" /></td>
            </tr>
            <tr>
              <td>password:</td>
              <td><input type="text" name="password" value="{//Entry/password}" size="40" />&nbsp;(more than 8 character)</td>
            </tr>
            <tr>
              <td>class_cd:</td>
              <td>
                <select name="class_cd">
                  <xsl:apply-templates select="//Cls" />
                </select>
              </td>
            </tr>
            <tr>
              <td>username:</td>
              <td><input type="text" name="username" value="{//Records/username}" size="40" />&nbsp;(identification)</td>
            </tr>
            <tr>
              <td>usr_name:</td>
              <td><input type="text" name="usr_name" value="{//Records/usr_name}" size="40" />&nbsp;(Your name)</td>
            </tr>
            <tr>
              <td>mail_addr:</td>
              <td><input type="text" name="mail_addr" value="{//Records/mail_addr}" size="40" />&nbsp;(e-mail address)</td>
            </tr>
            <tr>
              <td>last_cd:</td>
              <td><xsl:value-of select="//Records/last_cd" /></td>
            </tr>
            <tr>
              <td>last_date:</td>
              <td><xsl:value-of select="//Records/last_date" /></td>
            </tr>
            <tr>
              <td colspan="2" align="center">
                <input type="hidden" name="status" value="submit_edit_account" />
                <input type="hidden" name="usr_cd" value="{//Records/@usr_cd}" />
                <input type="hidden" name="last_cd" value="{//Records/last_cd}" />
                <input type="submit" value="Submit" />
              </td>
            </tr>
          </table>
        </form>
        <table border="1">
          <tr>
            <td align="center">
              <form action="index.php" method="get">
                <input type="hidden" name="status" value="view_account" />
                <input type="submit" value="Back" />
              </form>
            </td>
            <td align="center">
              <form action="index.php" method="post">
                <input type="hidden" name="status" value="delete_account" />
                <input type="hidden" name="usr_cd" value="{//Records/@usr_cd}" />
                <input type="hidden" name="last_cd" value="{//Records/last_cd}" />
                <input type="submit" value="Delete" />
              </form>
            </td>
          </tr>
        </table>
      <?php } ?>
      </body>
    </html>
  </xsl:template>
<?php if($user_class > 8){ ?>
  <xsl:template match="Cls">
    <option value="{@class_cd}">
      <xsl:if test="sel = 1">
        <xsl:attribute name="selected">selected></xsl:attribute>
      </xsl:if>
      <xsl:value-of select="class_name" />:<xsl:value-of select="class_exp" />
    </option>
  </xsl:template>
<?php } ?>
</xsl:stylesheet>
