<?php
/*
 * $Id: edit_serverbook_form.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];
// error messages
$error      = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontM">

        <table border="1">
          <tr>
            <td align="center">
              <form action="index.php" method="post">
                <input type="hidden" name="status" value="view_server" />
                <input type="submit" value="Back" />
              </form>
            </td>
            <xsl:if test="//Records/lock_flag != 't'">
              <td align="center">
                <?php if($user_class > 4){ ?>
                <form action="index.php" method="post">
                  <input type="hidden" name="status" value="delete_server" />
                  <input type="hidden" name="srv_cd" value="{//Records/@srv_cd}" />
                  <input type="submit" value="Delete" />
                </form>
                <?php } ?>
              </td>
            </xsl:if>
          </tr>
        </table>

        <form action="index.php" method="post">
          <table border="1">
          <?php if($error != ""){ ?>
            <tr>
              <td bgcolor="yellow" colspan="2">
              <?php
              if($error == "srv_name"){
                print "You must supply a srv_name.\n";
              }elseif($error == "eth0_ipaddr"){
                print "You must supply a eth0_ipaddr.\n";
              }elseif($error == "eth0_network"){
                print "You must supply a eth0_network.\n";
              }elseif($error == "eth0_netmask"){
                print "You must supply a eth0_netmask.\n";
              }elseif($error == "eth0_broadcast"){
                print "You must supply a eth0_broadcast.\n";
              }elseif($error == "wantlogcheck"){
                print "You must supply a wantlogcheck t or f.\n";
              }elseif($error == "tripwire_flag"){
                print "You must supply a tripwire_flag t or f.\n";
              }elseif($error == "backupsvr"){
                print "You must supply a backupsvr t or f.\n";
              }elseif($error == "disp_flag"){
                print "You must supply a disp_flag t or f.\n";
              }elseif($error == "router_flag"){
                print "You must supply a router_flag t or f.\n";
              }elseif($error == "hourly_flag"){
                print "You must supply a hourly_flag t or f.\n";
              }
              ?>
              </td>
            </tr>
          <?php } ?>

            <tr>
              <td>srv_name:</td>
              <td><input type="text" name="srv_name" value="{//Records/srv_name}" size="40" /></td>
            </tr>
            <tr>
              <td>eth0_ipaddr:</td>
              <td><input type="text" name="eth0_ipaddr" value="{//Records/eth0_ipaddr}" size="40" /></td>
            </tr>
            <tr>
              <td>eth0_network:</td>
              <td><input type="text" name="eth0_network" value="{//Records/eth0_network}" size="40" /></td>
            </tr>
            <tr>
              <td>eth0_netmask:</td>
              <td><input type="text" name="eth0_netmask" value="{//Records/eth0_netmask}" size="40" /></td>
            </tr>
            <tr>
              <td>eth0_broadcast:</td>
              <td><input type="text" name="eth0_broadcast" value="{//Records/eth0_broadcast}" size="40" /></td>
            </tr>
            <tr>
              <td>default_gateway:</td>
              <td><input type="text" name="default_gateway" value="{//Records/default_gateway}" size="40" /></td>
            </tr>
            <tr>
              <td>primary_nameserver:</td>
              <td><input type="text" name="primary_nameserver" value="{//Records/primary_nameserver}" size="40" /></td>
            </tr>
            <tr>
              <td>secondary_nameserver:</td>
              <td><input type="text" name="secondary_nameserver" value="{//Records/secondary_nameserver}" size="40" /></td>
            </tr>
            <tr>
              <td>os:</td>
              <td><input type="text" name="os" value="{//Records/os}" size="40" /></td>
            </tr>
            <tr>
              <td>eth1_ipaddr:</td>
              <td><input type="text" name="eth1_ipaddr" value="{//Records/eth1_ipaddr}" size="40" /></td>
            </tr>
            <tr>
              <td>eth1_network:</td>
              <td><input type="text" name="eth1_network" value="{//Records/eth1_network}" size="40" /></td>
            </tr>
            <tr>
              <td>eth1_netmask:</td>
              <td><input type="text" name="eth1_netmask" value="{//Records/eth1_netmask}" size="40" /></td>
            </tr>
            <tr>
              <td>eth1_broadcast:</td>
              <td><input type="text" name="eth1_broadcast" value="{//Records/eth1_broadcast}" size="40" /></td>
            </tr>
            <tr>
              <td>eth2_ipaddr:</td>
              <td><input type="text" name="eth2_ipaddr" value="{//Records/eth2_ipaddr}" size="40" /></td>
            </tr>
            <tr>
              <td>eth2_network:</td>
              <td><input type="text" name="eth2_network" value="{//Records/eth2_network}" size="40" /></td>
            </tr>
            <tr>
              <td>eth2_netmask:</td>
              <td><input type="text" name="eth2_netmask" value="{//Records/eth2_netmask}" size="40" /></td>
            </tr>
            <tr>
              <td>eth2_broadcast:</td>
              <td><input type="text" name="eth2_broadcast" value="{//Records/eth2_broadcast}" size="40" /></td>
            </tr>
            <tr>
              <td>wantLogCheck:</td>
              <td>
                <input type="radio" name="wantlogcheck" value="t">
                  <xsl:if test="//Records/wantlogcheck = 't'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>TRUE<br />
                <input type="radio" name="wantlogcheck" value="f">
                  <xsl:if test="//Records/wantlogcheck = 'f'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>FALSE<br />
              </td>
            </tr>
            <tr>
              <td>TripWireCheck:</td>
              <td>
                <input type="radio" name="tripwire_flag" value="t">
                  <xsl:if test="//Records/tripwire_flag = 't'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>TRUE<br />
                <input type="radio" name="tripwire_flag" value="f">
                  <xsl:if test="//Records/tripwire_flag = 'f'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>FALSE<br />
              </td>
            </tr>
            <tr>
              <td>backupSvr:</td>
              <td>
                <input type="radio" name="backupsvr" value="t">
                  <xsl:if test="//Records/backupsvr = 't'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>TRUE<br />
                <input type="radio" name="backupsvr" value="f">
                  <xsl:if test="//Records/backupsvr = 'f'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>FALSE<br />
              </td>
            </tr>
            <tr>
              <td>disp_flag:</td>
              <td>
                <input type="radio" name="disp_flag" value="t">
                  <xsl:if test="//Records/disp_flag = 't'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>TRUE<br />
                <input type="radio" name="disp_flag" value="f">
                  <xsl:if test="//Records/disp_flag = 'f'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>FALSE<br />
              </td>
            </tr>
            <tr>
              <td>router_flag:</td>
              <td>
                <input type="radio" name="router_flag" value="t">
                  <xsl:if test="//Records/router_flag = 't'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>TRUE<br />
                <input type="radio" name="router_flag" value="f">
                  <xsl:if test="//Records/router_flag = 'f'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>FALSE<br />
              </td>
            </tr>
            <tr>
              <td>hourly_flag:</td>
              <td>
                <input type="radio" name="hourly_flag" value="t">
                  <xsl:if test="//Records/hourly_flag = 't'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>TRUE<br />
                <input type="radio" name="hourly_flag" value="f">
                  <xsl:if test="//Records/hourly_flag = 'f'">
                    <xsl:attribute name="checked">checked</xsl:attribute>
                  </xsl:if>
                </input>FALSE<br />
                <xsl:if test="//Records/hourly_flag = 't'">
                  <hr />
                  /etc/cron.hourly/songduanxin.sh<hr />
                  #!/bin/sh<br />
                  echo '' | mail -s 'Living confirmation <xsl:value-of select="//Records/@srv_cd" />' <?php echo TO_ADDRESS; ?>
                </xsl:if>
              </td>
            </tr>
            <tr>
              <td>usr_cd:</td>
              <td><xsl:value-of select="//Records/usr_cd" /></td>
            </tr>
            <tr>
              <td>last_date:</td>
              <td><xsl:value-of select="//Records/last_date" /></td>
            </tr>
            <xsl:if test="//Records/lock_flag != 't'">
              <tr>
                <td colspan="2" align="center">
                  <input type="hidden" name="status" value="confirm_server" />
                  <input type="hidden" name="srv_cd" value="{//Records/@srv_cd}" />
                <?php if($user_class > 4){ ?>
                  <input type="submit" value="Submit" />
                <?php } ?>
                </td>
              </tr>
            </xsl:if>
          </table>
        </form>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
