<?php
/*
 * $Id: search_install_log_list.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">
      <?php if($user_class > 2){ ?>
        <form action="index.php" method="post">
          <table border="1" class="list">
            <tr class="midasi">
              <th colspan="6">Search Server Install Log Lists
                <input type="hidden" name="status" value="search_install_logs" />
                <input type="hidden" name="key_word" value="{//Entry/key_word}" />
                <input type="hidden" name="key_memo" value="{//Entry/key_memo}" />
                [<input type="submit" value="return to" />Set Key Word For Search Install Logs]
              </th>
            </tr>
          </table>
        </form>
        <table border="1" class="list">
          <tr class="rec_0">
            <td>memo_cd</td>
            <td>srv_cd</td>
            <td>srv_name</td>
            <td>os</td>
            <td>title</td>
            <td>reg_date</td>
            <td>usr_cd</td>
          </tr>
          <xsl:choose>
            <xsl:when test="count(//Records/@memo_cd) != 0">
              <xsl:apply-templates select="//Records" />
            </xsl:when>
            <xsl:otherwise>
              <td colspan="7">No record</td>
            </xsl:otherwise>
          </xsl:choose>
        </table>
      <?php } ?>
      </body>
    </html>
  </xsl:template>
<?php if($user_class > 2){ ?>
  <xsl:template match="Records">
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
      <td>
        <form action="index.php" method="post">
          <xsl:choose>
            <xsl:when test="//Entry/status = 'show_install_log_list'">
              <input type="hidden" name="status" value="show_install_log_title" />
            </xsl:when>
            <xsl:when test="//Entry/status = 'show_install_log_memo_list'">
              <input type="hidden" name="status" value="show_install_log_memo" />
            </xsl:when>
          </xsl:choose>
          <input type="hidden" name="key_word" value="{//Entry/key_word}" />
          <input type="hidden" name="key_memo" value="{//Entry/key_memo}" />
          <input type="hidden" name="memo_cd" value="{@memo_cd}" />
          <input type="submit" value="{@memo_cd}" />
        </form>
      </td>
      <td><xsl:value-of select="srv_cd" /></td>
      <td><xsl:value-of select="srv_name" /></td>
      <td><xsl:value-of select="os" /></td>
      <td><xsl:value-of select="title" /></td>
      <td><xsl:value-of select="reg_date" /></td>
      <td><xsl:value-of select="usr_cd" /></td>
    </tr>
  </xsl:template>
<?php } ?>
</xsl:stylesheet>
