--
-- $Id: server_manager_std.sql,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
--
-- Server Manager by ADCOOP
-- http://www.adcoop.co.jp/
-- Copyright(c) 2008 Ad Coop Kansai Inc. All Rights Reserved.
--


--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = true;

--
-- Name: fil_router_log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE fil_router_log (
    serial integer NOT NULL,
    srv_cd integer NOT NULL,
    memo text,
    fname text,
    ftype text,
    fsize integer,
    reg_date timestamp(0) without time zone,
    usr_cd integer,
    lock_flag boolean
);


ALTER TABLE public.fil_router_log OWNER TO postgres;

--
-- Name: fil_server_memo; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE fil_server_memo (
    memo_cd integer NOT NULL,
    srv_cd integer NOT NULL,
    title text,
    reg_date timestamp(0) without time zone,
    memo text,
    usr_cd integer,
    lock_flag boolean
);


ALTER TABLE public.fil_server_memo OWNER TO postgres;

--
-- Name: logs_cron; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE logs_cron (
    sirial integer NOT NULL,
    srv_name text,
    subject text,
    mail_log text,
    free_memo text,
    rcv_date timestamp(0) without time zone,
    set_date timestamp(0) without time zone,
    set_cd integer,
    memo_date timestamp(0) without time zone,
    memo_cd integer
);


ALTER TABLE public.logs_cron OWNER TO postgres;

SET default_with_oids = false;

--
-- Name: logs_hourly; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE logs_hourly (
    sirial integer,
    srv_cd integer,
    srv_name text,
    subject text,
    rcv_date timestamp(0) without time zone,
    mbody text
);


ALTER TABLE public.logs_hourly OWNER TO postgres;

SET default_with_oids = true;

--
-- Name: logs_logwatch; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE logs_logwatch (
    sirial integer NOT NULL,
    srv_name text,
    subject text,
    mail_log text,
    free_memo text,
    rcv_date timestamp(0) without time zone,
    set_date timestamp(0) without time zone,
    set_cd integer,
    memo_date timestamp(0) without time zone,
    memo_cd integer
);


ALTER TABLE public.logs_logwatch OWNER TO postgres;

--
-- Name: logs_tripwire; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE logs_tripwire (
    sirial integer NOT NULL,
    srv_name text,
    subject text,
    mail_log text,
    free_memo text,
    rcv_date timestamp(0) without time zone,
    set_date timestamp(0) without time zone,
    set_cd integer,
    memo_date timestamp(0) without time zone,
    memo_cd integer
);


ALTER TABLE public.logs_tripwire OWNER TO postgres;

--
-- Name: mst_server; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mst_server (
    srv_cd integer NOT NULL,
    srv_name text NOT NULL,
    eth0_ipaddr text NOT NULL,
    eth0_network text,
    eth0_netmask text,
    eth0_broadcast text,
    default_gateway text,
    primary_nameserver text,
    secondary_nameserver text,
    os text,
    eth1_ipaddr text,
    eth1_network text,
    eth1_netmask text,
    eth1_broadcast text,
    eth2_ipaddr text,
    eth2_network text,
    eth2_netmask text,
    eth2_broadcast text,
    wantlogcheck boolean,
    backupsvr boolean,
    usr_cd integer,
    last_date timestamp(0) without time zone,
    disp_flag boolean,
    router_flag boolean,
    lock_flag boolean,
    hourly_flag boolean,
    tripwire_flag boolean,
    CONSTRAINT mst_server_srv_name_check CHECK ((NOT (srv_name = NULL::text)))
);


ALTER TABLE public.mst_server OWNER TO postgres;

--
-- Name: mst_server_usr; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mst_server_usr (
    srv_usr_cd integer NOT NULL,
    srv_usr text NOT NULL,
    srv_usr_pass text NOT NULL,
    srv_cd integer NOT NULL,
    usr_cd integer,
    last_date timestamp(0) without time zone,
    lock_flag boolean
);


ALTER TABLE public.mst_server_usr OWNER TO postgres;

--
-- Name: mst_usr; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mst_usr (
    usr_cd integer NOT NULL,
    "password" character(32) NOT NULL,
    class_cd integer NOT NULL,
    usr_name text NOT NULL,
    mail_addr text NOT NULL,
    last_cd integer,
    last_date timestamp(0) without time zone,
    username character varying(32) NOT NULL
);


ALTER TABLE public.mst_usr OWNER TO postgres;

--
-- Name: tbl_class; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tbl_class (
    class_cd integer NOT NULL,
    class_name text NOT NULL,
    class_exp text
);


ALTER TABLE public.tbl_class OWNER TO postgres;

--
-- Data for Name: fil_router_log; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY fil_router_log (serial, srv_cd, memo, fname, ftype, fsize, reg_date, usr_cd, lock_flag) FROM stdin;
\.


--
-- Data for Name: fil_server_memo; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY fil_server_memo (memo_cd, srv_cd, title, reg_date, memo, usr_cd, lock_flag) FROM stdin;
1	1	新規インストール	2008-06-10 15:05:38	Language Selection\tEnglish\r\nKeyboard Selection\tus\r\nMouse Selection\tNone\r\nInstallation Type\tBaseSystem\r\nDisk Partitioning Setup\tDisk Druid\r\nPartitioning\t/dev/had\r\n\t/dev/hda1          1-26         203M      ext3      /boot\r\n\t/dev/hda2         27-281       2000M      ext3      /\r\n\t/dev/hda3        282-6650     50007M      ext3      /home\r\n\t/dev/hda4       6657-14946    65028M    Extended\r\n\t/dev/hda5       6657-13030    49999M      ext3      /usr\r\n\t/dev/hda6      13031-14815    14001M      ext3      /var\r\n\t/dev/hda7      14816-14946     1027M      swap	1	t
\.


--
-- Data for Name: logs_cron; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY logs_cron (sirial, srv_name, subject, mail_log, free_memo, rcv_date, set_date, set_cd, memo_date, memo_cd) FROM stdin;
\.


--
-- Data for Name: logs_hourly; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY logs_hourly (sirial, srv_cd, srv_name, subject, rcv_date, mbody) FROM stdin;
\.


--
-- Data for Name: logs_logwatch; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY logs_logwatch (sirial, srv_name, subject, mail_log, free_memo, rcv_date, set_date, set_cd, memo_date, memo_cd) FROM stdin;
\.


--
-- Data for Name: logs_tripwire; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY logs_tripwire (sirial, srv_name, subject, mail_log, free_memo, rcv_date, set_date, set_cd, memo_date, memo_cd) FROM stdin;
\.


--
-- Data for Name: mst_server; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY mst_server (srv_cd, srv_name, eth0_ipaddr, eth0_network, eth0_netmask, eth0_broadcast, default_gateway, primary_nameserver, secondary_nameserver, os, eth1_ipaddr, eth1_network, eth1_netmask, eth1_broadcast, eth2_ipaddr, eth2_network, eth2_netmask, eth2_broadcast, wantlogcheck, backupsvr, usr_cd, last_date, disp_flag, router_flag, lock_flag, hourly_flag, tripwire_flag) FROM stdin;
1	example.adcoop.co.jp	192.168.1.1	192.168.1.0	255.255.255.0	10.255.255.255	192.168.1.0	192.168.1.0	192.168.1.255	Vine Linux4.2									t	t	1	2008-06-10 14:53:32	t	f	t	t	t
\.


--
-- Data for Name: mst_server_usr; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY mst_server_usr (srv_usr_cd, srv_usr, srv_usr_pass, srv_cd, usr_cd, last_date, lock_flag) FROM stdin;
1	root	admin	1	1	2008-06-10 14:54:21	t
\.


--
-- Data for Name: mst_usr; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY mst_usr (usr_cd, "password", class_cd, usr_name, mail_addr, last_cd, last_date, username) FROM stdin;
1	2c8a7c4a75eeb88932ae57ad5cc8cc51	9	servermanager	test@test	\N	\N	servermanager
\.


--
-- Data for Name: tbl_class; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tbl_class (class_cd, class_name, class_exp) FROM stdin;
5	System Engineer	They can edit all data except user account.
9	Super Manager	They can edit all data.
3	Server Manager	They can edit server logs.
0	NoLogin	They can not login.
1	User	They can login.
\.


--
-- Name: fil_server_memo_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY fil_server_memo
    ADD CONSTRAINT fil_server_memo_pkey PRIMARY KEY (memo_cd);


--
-- Name: logs_cron_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs_cron
    ADD CONSTRAINT logs_cron_key UNIQUE (sirial);


--
-- Name: logs_cron_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs_cron
    ADD CONSTRAINT logs_cron_pkey PRIMARY KEY (sirial);


--
-- Name: logs_logwatch_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs_logwatch
    ADD CONSTRAINT logs_logwatch_key UNIQUE (sirial);


--
-- Name: logs_logwatch_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs_logwatch
    ADD CONSTRAINT logs_logwatch_pkey PRIMARY KEY (sirial);


--
-- Name: logs_tripwire_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs_tripwire
    ADD CONSTRAINT logs_tripwire_key UNIQUE (sirial);


--
-- Name: logs_tripwire_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs_tripwire
    ADD CONSTRAINT logs_tripwire_pkey PRIMARY KEY (sirial);


--
-- Name: mail_addr_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_usr
    ADD CONSTRAINT mail_addr_key UNIQUE (mail_addr);


--
-- Name: mst_server_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_server
    ADD CONSTRAINT mst_server_name_key UNIQUE (srv_name);


--
-- Name: mst_server_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_server
    ADD CONSTRAINT mst_server_pkey PRIMARY KEY (srv_cd);


--
-- Name: mst_server_usr_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_server_usr
    ADD CONSTRAINT mst_server_usr_pkey PRIMARY KEY (srv_usr_cd);


--
-- Name: mst_usr_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_usr
    ADD CONSTRAINT mst_usr_pkey PRIMARY KEY (usr_cd);


--
-- Name: ril_routerlog_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY fil_router_log
    ADD CONSTRAINT ril_routerlog_pkey PRIMARY KEY (serial);


--
-- Name: tbl_class_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tbl_class
    ADD CONSTRAINT tbl_class_pkey PRIMARY KEY (class_cd);


--
-- Name: username_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_usr
    ADD CONSTRAINT username_key UNIQUE (username);


--
-- Name: idx_hourly; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX idx_hourly ON logs_hourly USING btree (rcv_date);


--
-- Name: idx_logwatch; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX idx_logwatch ON logs_logwatch USING btree (srv_name, rcv_date);


--
-- Name: idx_tripwire; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX idx_tripwire ON logs_tripwire USING btree (srv_name, rcv_date);


--
-- Name: class_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY mst_usr
    ADD CONSTRAINT class_cd FOREIGN KEY (class_cd) REFERENCES tbl_class(class_cd);


--
-- Name: set_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY logs_cron
    ADD CONSTRAINT set_cd FOREIGN KEY (set_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: set_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY logs_logwatch
    ADD CONSTRAINT set_cd FOREIGN KEY (set_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: set_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY logs_tripwire
    ADD CONSTRAINT set_cd FOREIGN KEY (set_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: srv_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY mst_server_usr
    ADD CONSTRAINT srv_cd FOREIGN KEY (srv_cd) REFERENCES mst_server(srv_cd);


--
-- Name: srv_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY fil_router_log
    ADD CONSTRAINT srv_cd FOREIGN KEY (srv_cd) REFERENCES mst_server(srv_cd);


--
-- Name: srv_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY fil_server_memo
    ADD CONSTRAINT srv_cd FOREIGN KEY (srv_cd) REFERENCES mst_server(srv_cd);


--
-- Name: usr_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY mst_server
    ADD CONSTRAINT usr_cd FOREIGN KEY (usr_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: usr_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY fil_server_memo
    ADD CONSTRAINT usr_cd FOREIGN KEY (usr_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: usr_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY fil_router_log
    ADD CONSTRAINT usr_cd FOREIGN KEY (usr_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: usr_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY mst_server_usr
    ADD CONSTRAINT usr_cd FOREIGN KEY (usr_cd) REFERENCES mst_usr(usr_cd);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: fil_router_log; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE fil_router_log FROM PUBLIC;
REVOKE ALL ON TABLE fil_router_log FROM postgres;
GRANT ALL ON TABLE fil_router_log TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE fil_router_log TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE fil_router_log TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE fil_router_log TO taipei;


--
-- Name: fil_server_memo; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE fil_server_memo FROM PUBLIC;
REVOKE ALL ON TABLE fil_server_memo FROM postgres;
GRANT ALL ON TABLE fil_server_memo TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE fil_server_memo TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE fil_server_memo TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE fil_server_memo TO taipei;


--
-- Name: logs_cron; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE logs_cron FROM PUBLIC;
REVOKE ALL ON TABLE logs_cron FROM postgres;
GRANT ALL ON TABLE logs_cron TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_cron TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_cron TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_cron TO taipei;


--
-- Name: logs_hourly; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE logs_hourly FROM PUBLIC;
REVOKE ALL ON TABLE logs_hourly FROM postgres;
GRANT ALL ON TABLE logs_hourly TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_hourly TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_hourly TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_hourly TO taipei;


--
-- Name: logs_logwatch; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE logs_logwatch FROM PUBLIC;
REVOKE ALL ON TABLE logs_logwatch FROM postgres;
GRANT ALL ON TABLE logs_logwatch TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_logwatch TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_logwatch TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_logwatch TO taipei;


--
-- Name: logs_tripwire; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE logs_tripwire FROM PUBLIC;
REVOKE ALL ON TABLE logs_tripwire FROM postgres;
GRANT ALL ON TABLE logs_tripwire TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_tripwire TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_tripwire TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE logs_tripwire TO taipei;


--
-- Name: mst_server; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE mst_server FROM PUBLIC;
REVOKE ALL ON TABLE mst_server FROM postgres;
GRANT ALL ON TABLE mst_server TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_server TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_server TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_server TO taipei;


--
-- Name: mst_server_usr; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE mst_server_usr FROM PUBLIC;
REVOKE ALL ON TABLE mst_server_usr FROM postgres;
GRANT ALL ON TABLE mst_server_usr TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_server_usr TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_server_usr TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_server_usr TO taipei;


--
-- Name: mst_usr; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE mst_usr FROM PUBLIC;
REVOKE ALL ON TABLE mst_usr FROM postgres;
GRANT ALL ON TABLE mst_usr TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_usr TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_usr TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mst_usr TO taipei;


--
-- Name: tbl_class; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE tbl_class FROM PUBLIC;
REVOKE ALL ON TABLE tbl_class FROM postgres;
GRANT ALL ON TABLE tbl_class TO postgres;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE tbl_class TO nobody;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE tbl_class TO beijing;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE tbl_class TO taipei;


--
-- PostgreSQL database dump complete
--

